Bug 140041 - Two "Default KOrganizer resource" items brought up after creating a todo
Summary: Two "Default KOrganizer resource" items brought up after creating a todo
Status: RESOLVED FIXED
Alias: None
Product: korganizer
Classification: Applications
Component: todoview (show other bugs)
Version: 3.5
Platform: unspecified Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-01-14 01:22 UTC by Paul
Modified: 2009-01-03 16:18 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Paul 2007-01-14 01:22:42 UTC
Version:           3.5 (using KDE 3.5.1 Level "a" , SUSE 10.1)
Compiler:          Target: i586-suse-linux
OS:                Linux (i686) release 2.6.16.13-4-default

After entering data for a new todo (either top level or child) hitting apply or ok brings up box titled "Resource Selection" KOtact" asking to select one of two "Default KOrganizer resource. Behavior after selecting one of the two varies. Sometimes selecting either generates two todo item that look identical. Sometimes it generates just one item. Sometimes selecting one "Default KOrganizer resource" generates an error message and then brings you back to select the other one.  Sometimes it works fine and generates the todo item once in the right place. I'm sorry I can't give you more specifics as behavior varies from attempt to attempt.
Comment 1 Bram Schoenmakers 2007-01-14 01:42:24 UTC
Do you have a resource listed twice? If so, remove the duplicate and see if the problem is solved then.
Comment 2 Paul 2007-01-14 03:29:14 UTC
sorry for being a newbie but how can i check to see if both resources are listed. I have tried to hunt down the answer but can't find any setting in the program, etc. 
Comment 3 Paul 2007-01-14 03:40:42 UTC
Never mind I hunted down where there was a duplicate default KOrganizer resource and removed one so it is now fixed.
Seems like it would be a setting under configure Kontact. Thanks for your time.
Comment 4 A.C. 2007-02-21 19:13:38 UTC
Paul, can you tell me where you were able to hunt that down at?  I have the same problem and I'm trying to figure that out myself.  Hints in where to hunting would be appreciated.  Thanks!

A.C.
******
Comment 5 A.C. 2007-02-21 19:38:50 UTC
Ahh, OK - I found another mention of this issue at https://launchpad.net/ubuntu/+source/kdepim/+bug/64738 - the workaround (going to System Settings > Advanced > KDE resources > Calendar and deleteing one of the resources) worked for me.  This seems like a straight-out-of-the-box Edgy Kubuntu bug...

A.C.
******
Comment 6 Michael Bushey 2007-09-24 10:45:30 UTC
I have this problem also. I have no clue where you find system settings, but if I go to:

Start -> Control Panel ->  KDE Components -> KDE Resources -> Calender

Then I have a SINGLE entry for Default KOrganizer Resource (Type: File, Standard: Yes)

I am unable to delete this entry (You cannot remove your standard resource)

When I go to Kontact and type in a to-do, I get a window titled "Resource Select - Knotact" with two identical options: "Default KOrganizer resource". I then get  twin entries.


I'm running Debian:
# dpkg -l | grep kdebase
ii  kdebase-bin                             4:3.5.7-4                                 core binaries for the KDE base module

# uname -a
Linux actiontec 2.6.22-2-686-bigmem #1 SMP Fri Aug 31 01:40:59 UTC 2007 i686 GNU/Linux



Michael Bushey
Comment 7 Michael Phillips 2008-05-07 09:35:42 UTC
For GNOME users "System Settings > Advanced > KDE resources > Calendar" is not available. Instead open Kontact, click on Calendar to display the calendar view, go to Settings > Sidebar and make sure Show Resource View is selected.  Then you should see the Calendar Resources on the left sidebar with two Default KOrganizer resource entries. Delete the second one and this should fix the duplicate to-do problem.
Comment 8 Richard Birnie 2008-09-22 22:14:45 UTC
This bug still exists in Kontact 1.3 on KDE 4.1.1. I do see some difference to what is described previously.

Comment 5 above states that you can go 'System Settings > Advanced > KDE resources > Calendar' and remove one of the entries, however in my case there is only one entry to start with.

The duplicate resouce entry can also be deleted from the calendar within Kontact as long as show resource view is enabled as stated in comment 7 above. This does work however it seems like a work around. The real question is why are 2 entries created in the first place. Particularly as both seem to point to the same file. If you right click and choose edit in the calendar view. Specifically /home/you/.kde/share/apps/korganizer/std.ics

I can provide screenshots to illustrate the bug if required.

Richard
Comment 9 Thomas McGuire 2009-01-03 15:51:10 UTC
SVN commit 904913 by tmcguire:

BUG: 140041
--
Merged revisions 900455 via svnmerge from 
svn+ssh://tmcguire@svn.kde.org/home/kde/branches/kdepim/enterprise4/kdepim

........
  r900455 | vkrause | 2008-12-22 22:56:18 +0100 (Mon, 22 Dec 2008) | 5 lines
  
  Remove the default resource generation code here and let
  KOrg::StdCalendar handle that instead. This gives us the same result now
  no matter if Kontact with summary plugin or KOrganizer was started
  first. Also, we no longer get duplicate resources in the first case.
........


 _M            . (directory)  
 M  +0 -24     kontact/plugins/specialdates/sdsummarywidget.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=904913
Comment 10 Thomas McGuire 2009-01-03 16:18:59 UTC
SVN commit 904955 by tmcguire:

Backport r904913 by tmcguire from trunk to the 4.1 branch:

CCBUG: 140041
--
Merged revisions 900455 via svnmerge from 
svn+ssh://tmcguire@svn.kde.org/home/kde/branches/kdepim/enterprise4/kdepim

........
  r900455 | vkrause | 2008-12-22 22:56:18 +0100 (Mon, 22 Dec 2008) | 5 lines
  
  Remove the default resource generation code here and let
  KOrg::StdCalendar handle that instead. This gives us the same result now
  no matter if Kontact with summary plugin or KOrganizer was started
  first. Also, we no longer get duplicate resources in the first case.
........



 M  +0 -24     sdsummarywidget.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=904955